unit ZEDBtn;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TZEDBtn = class(TBitBtn)
  private
    { Private declarations }
    FState:Integer;
    procedure SetState(Value:integer);
  protected
    { Protected declarations }
  public
    { Public declarations }
  published
    { Published declarations }
    property State:integer read FState write SetState stored false;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Z_Components', [TZEDBtn]);
end;

procedure TZEDBtn.SetState(Value: integer);
begin
  Enabled:= ((Value in [0,1]) and (Name='btnNew'))
         or ((Value=1) and (Name='btnModify'))
         or ((Value in [2,3]) and ((Name='btnCancel') or (Name='btnSave')));
  FState:=Value;
end;

end.
